<?xml version="1.0" ?>
<library  version="2.0" name="sap.ui.table">
  <module name="sap/ui/table/AnalyticalColumn.js" size="13184" compressedSize="5418">
    <description>Provides control sap.ui.table.AnalyticalColumn.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/table/Column.js"/>
      <module name="sap/ui/table/library.js"/>
      <module name="sap/ui/core/Element.js"/>
      <module name="sap/ui/model/type/Boolean.js"/>
      <module name="sap/ui/model/type/DateTime.js"/>
      <module name="sap/ui/model/type/Float.js"/>
      <module name="sap/ui/model/type/Integer.js"/>
      <module name="sap/ui/model/type/Time.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
      <module name="sap/ui/table/AnalyticalColumnMenu.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/AnalyticalColumnMenu.js" size="3580" compressedSize="1701">
    <description>Provides control sap.ui.table.AnalyticalColumnMenu.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/table/ColumnMenu.js"/>
      <module name="sap/ui/table/library.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/AnalyticalColumnMenuRenderer.js" size="538" compressedSize="309">
    <description>Provides default renderer for control sap.ui.table.AnalyticalColumnMenu</description>
    <requires>
      <module name="sap/ui/table/AnalyticalColumnMenu.js"/>
      <module name="jquery.sap.global.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/AnalyticalTable.designtime.js" size="838" compressedSize="432">
    <description>Provides the Design Time Metadata for the sap.ui.table.AnalyticalTable control</description>
    <requires>
      <module name="jquery.sap.global.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/AnalyticalTable.js" size="46634" compressedSize="18155">
    <description>Provides control sap.ui.table.AnalyticalTable.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/table/AnalyticalColumn.js"/>
      <module name="sap/ui/table/Table.js"/>
      <module name="sap/ui/table/TreeTable.js"/>
      <module name="sap/ui/table/library.js"/>
      <module name="sap/ui/model/analytics/ODataModelAdapter.js"/>
      <module name="sap/ui/model/SelectionModel.js"/>
      <module name="sap/ui/model/Sorter.js"/>
      <module name="sap/ui/base/ManagedObject.js"/>
      <module name="sap/ui/core/Popup.js"/>
      <module name="sap/ui/unified/Menu.js"/>
      <module name="sap/ui/unified/MenuItem.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/AnalyticalTableRenderer.js" size="525" compressedSize="304">
    <description>Provides default renderer for control sap.ui.table.AnalyticalTable</description>
    <requires>
      <module name="sap/ui/table/AnalyticalTable.js"/>
      <module name="jquery.sap.global.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/Column.js" size="35612" compressedSize="11827">
    <description>Provides control sap.ui.table.Column.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/core/Element.js"/>
      <module name="sap/ui/core/library.js"/>
      <module name="sap/ui/core/Popup.js"/>
      <module name="sap/ui/core/RenderManager.js"/>
      <module name="sap/ui/model/Filter.js"/>
      <module name="sap/ui/model/FilterOperator.js"/>
      <module name="sap/ui/model/FilterType.js"/>
      <module name="sap/ui/model/Sorter.js"/>
      <module name="sap/ui/model/Type.js"/>
      <module name="sap/ui/model/type/String.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
      <module name="sap/ui/table/library.js"/>
      <module name="sap/ui/table/ColumnMenu.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/ColumnMenu.js" size="14520" compressedSize="6110">
    <description>Provides control sap.ui.table.ColumnMenu.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/core/RenderManager.js"/>
      <module name="sap/ui/table/library.js"/>
      <module name="sap/ui/unified/Menu.js"/>
      <module name="sap/ui/unified/MenuItem.js"/>
      <module name="sap/ui/unified/MenuTextFieldItem.js"/>
      <module name="sap/ui/Device.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/ColumnMenuRenderer.js" size="509" compressedSize="299">
    <description>Provides default renderer for control sap.ui.table.ColumnMenu</description>
    <requires>
      <module name="sap/ui/table/ColumnMenu.js"/>
      <module name="jquery.sap.global.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/Row.js" size="10367" compressedSize="4507">
    <description>Provides control sap.ui.table.Row.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/core/Element.js"/>
      <module name="sap/ui/model/Context.js"/>
      <module name="sap/ui/table/library.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/Table.designtime.js" size="828" compressedSize="432">
    <description>Provides the Design Time Metadata for the sap.ui.table.Table control</description>
    <requires>
      <module name="jquery.sap.global.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/Table.js" size="130597" compressedSize="51183">
    <description>Provides control sap.ui.table.Table.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/Device.js"/>
      <module name="sap/ui/core/Control.js"/>
      <module name="sap/ui/core/Element.js"/>
      <module name="sap/ui/core/IconPool.js"/>
      <module name="sap/ui/core/ResizeHandler.js"/>
      <module name="sap/ui/core/ScrollBar.js"/>
      <module name="sap/ui/core/delegate/ItemNavigation.js"/>
      <module name="sap/ui/core/theming/Parameters.js"/>
      <module name="sap/ui/model/ChangeReason.js"/>
      <module name="sap/ui/model/Context.js"/>
      <module name="sap/ui/model/Filter.js"/>
      <module name="sap/ui/model/SelectionModel.js"/>
      <module name="sap/ui/model/Sorter.js"/>
      <module name="sap/ui/table/Column.js"/>
      <module name="sap/ui/table/Row.js"/>
      <module name="sap/ui/table/library.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
      <module name="sap/ui/table/TableExtension.js"/>
      <module name="sap/ui/table/TableAccExtension.js"/>
      <module name="sap/ui/table/TableKeyboardExtension.js"/>
      <module name="sap/ui/table/TablePointerExtension.js"/>
      <module name="sap/ui/table/TableScrollExtension.js"/>
      <module name="jquery.sap.dom.js"/>
      <module name="jquery.sap.trace.js"/>
      <module name="sap/ui/core/util/Export.js" conditional="true"/>
      <module name="sap/ui/core/util/ExportTypeCSV.js" conditional="true"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableAccExtension.js" size="40083" compressedSize="17572">
    <description>Provides helper sap.ui.table.TableAccExtension.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/core/Control.js"/>
      <module name="sap/ui/table/library.js"/>
      <module name="sap/ui/table/TableExtension.js"/>
      <module name="sap/ui/table/TableAccRenderExtension.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableAccRenderExtension.js" size="6017" compressedSize="2463">
    <description>Provides helper sap.ui.table.TableAccRenderExtension.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/table/TableExtension.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableColumnUtils.js" size="27133" compressedSize="6409">
    <description>Provides helper sap.ui.table.TableUtils.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/core/Element.js"/>
      <module name="sap/ui/Device.js"/>
      <module name="sap/ui/table/library.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableExtension.js" size="4527" compressedSize="1755">
    <description>Provides helper sap.ui.table.TableExtension.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/base/Object.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableGrouping.js" size="22285" compressedSize="8140">
    <description>Provides helper sap.ui.table.TableUtils.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/core/Element.js"/>
      <module name="sap/ui/model/Sorter.js"/>
      <module name="sap/ui/Device.js"/>
      <module name="sap/ui/table/library.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableKeyboardDelegate.js" size="34502" compressedSize="16456">
    <description>Provides helper sap.ui.table.TableKeyboardDelegate.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/base/Object.js"/>
      <module name="sap/ui/table/library.js"/>
      <module name="sap/ui/table/Row.js"/>
      <module name="sap/ui/table/TableExtension.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableKeyboardDelegate2.js" size="65401" compressedSize="25786">
    <description>Provides helper sap.ui.table.TableKeyboardDelegate2.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/base/Object.js"/>
      <module name="sap/ui/Device.js"/>
      <module name="sap/ui/table/library.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableKeyboardExtension.js" size="17254" compressedSize="7520">
    <description>Provides helper sap.ui.table.TableKeyboardExtension.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/table/TableExtension.js"/>
      <module name="sap/ui/core/delegate/ItemNavigation.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
      <module name="sap/ui/table/TableKeyboardDelegate2.js"/>
      <module name="sap/ui/table/TableKeyboardDelegate.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableMenuUtils.js" size="14323" compressedSize="4146">
    <description>Provides helper sap.ui.table.TableMenuUtils.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/Device.js"/>
      <module name="sap/ui/unified/Menu.js"/>
      <module name="sap/ui/unified/MenuItem.js"/>
      <module name="sap/ui/core/Popup.js"/>
      <module name="sap/ui/table/library.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TablePersoController.js" size="13286" compressedSize="6412">
    <description>Provides TablePersoController</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/base/ManagedObject.js"/>
      <module name="sap/m/TablePersoDialog.js" conditional="true"/>
    </requires>
  </module>
  <module name="sap/ui/table/TablePointerExtension.js" size="34390" compressedSize="16433">
    <description>Provides helper sap.ui.table.TablePointerExtension.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/table/TableExtension.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
      <module name="sap/ui/Device.js"/>
      <module name="sap/ui/core/Popup.js"/>
      <module name="jquery.sap.dom.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableRenderer.js" size="31455" compressedSize="18310">
    <description>Provides default renderer for control sap.ui.table.Table</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/core/Control.js"/>
      <module name="sap/ui/core/theming/Parameters.js"/>
      <module name="sap/ui/Device.js"/>
      <module name="sap/ui/table/library.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
      <module name="sap/ui/core/Renderer.js"/>
      <module name="sap/ui/core/IconPool.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableRendererUtils.js" size="6959" compressedSize="1534">
    <description>Provides helper sap.ui.table.TableRendererUtils.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/core/Control.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableScrollExtension.js" size="24642" compressedSize="9943">
    <description>Provides helper sap.ui.table.TableScrollExtension.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/table/TableExtension.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
      <module name="sap/ui/Device.js"/>
      <module name="sap/ui/table/library.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TableUtils.js" size="30199" compressedSize="8536">
    <description>Provides helper sap.ui.table.TableUtils.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/core/Control.js"/>
      <module name="sap/ui/core/ResizeHandler.js"/>
      <module name="sap/ui/table/TableGrouping.js"/>
      <module name="sap/ui/table/TableColumnUtils.js"/>
      <module name="sap/ui/table/TableMenuUtils.js"/>
      <module name="sap/ui/Device.js"/>
      <module name="sap/ui/table/library.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TreeTable.js" size="23748" compressedSize="7043">
    <description>Provides control sap.ui.table.TreeTable.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/table/Table.js"/>
      <module name="sap/ui/model/odata/ODataTreeBindingAdapter.js"/>
      <module name="sap/ui/model/ClientTreeBindingAdapter.js"/>
      <module name="sap/ui/model/TreeBindingCompatibilityAdapter.js"/>
      <module name="sap/ui/table/library.js"/>
      <module name="sap/ui/core/Element.js"/>
      <module name="sap/ui/table/TableUtils.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/TreeTableRenderer.js" size="507" compressedSize="298">
    <description>Provides default renderer for control sap.ui.table.TreeTable</description>
    <requires>
      <module name="sap/ui/table/TreeTable.js"/>
      <module name="jquery.sap.global.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/library.js" size="8219" compressedSize="2056">
    <description>Initialization Code and shared classes of library sap.ui.table.</description>
    <requires>
      <module name="jquery.sap.global.js"/>
      <module name="sap/ui/core/Core.js"/>
      <module name="sap/ui/model/TreeAutoExpandMode.js"/>
      <module name="sap/ui/core/library.js"/>
      <module name="sap/ui/unified/library.js"/>
    </requires>
  </module>
  <module name="sap/ui/table/manifest.json" size="816">
  </module>
  <module name="sap/ui/table/messagebundle.properties" size="5950">
  </module>
  <module name="sap/ui/table/messagebundle_ar.properties" size="10099">
  </module>
  <module name="sap/ui/table/messagebundle_bg.properties" size="12038">
  </module>
  <module name="sap/ui/table/messagebundle_ca.properties" size="6447">
  </module>
  <module name="sap/ui/table/messagebundle_cs.properties" size="6950">
  </module>
  <module name="sap/ui/table/messagebundle_da.properties" size="6315">
  </module>
  <module name="sap/ui/table/messagebundle_de.properties" size="6403">
  </module>
  <module name="sap/ui/table/messagebundle_el.properties" size="11718">
  </module>
  <module name="sap/ui/table/messagebundle_en.properties" size="5829">
  </module>
  <module name="sap/ui/table/messagebundle_en_US_sappsd.properties" size="13339">
  </module>
  <module name="sap/ui/table/messagebundle_en_US_saptrc.properties" size="7185">
  </module>
  <module name="sap/ui/table/messagebundle_es.properties" size="6449">
  </module>
  <module name="sap/ui/table/messagebundle_et.properties" size="6274">
  </module>
  <module name="sap/ui/table/messagebundle_fi.properties" size="6699">
  </module>
  <module name="sap/ui/table/messagebundle_fr.properties" size="6546">
  </module>
  <module name="sap/ui/table/messagebundle_hi.properties" size="11356">
  </module>
  <module name="sap/ui/table/messagebundle_hr.properties" size="6162">
  </module>
  <module name="sap/ui/table/messagebundle_hu.properties" size="7210">
  </module>
  <module name="sap/ui/table/messagebundle_it.properties" size="6289">
  </module>
  <module name="sap/ui/table/messagebundle_iw.properties" size="9859">
  </module>
  <module name="sap/ui/table/messagebundle_ja.properties" size="8172">
  </module>
  <module name="sap/ui/table/messagebundle_kk.properties" size="12343">
  </module>
  <module name="sap/ui/table/messagebundle_ko.properties" size="7969">
  </module>
  <module name="sap/ui/table/messagebundle_lt.properties" size="6948">
  </module>
  <module name="sap/ui/table/messagebundle_lv.properties" size="6754">
  </module>
  <module name="sap/ui/table/messagebundle_ms.properties" size="5969">
  </module>
  <module name="sap/ui/table/messagebundle_nl.properties" size="6139">
  </module>
  <module name="sap/ui/table/messagebundle_no.properties" size="6175">
  </module>
  <module name="sap/ui/table/messagebundle_pl.properties" size="6802">
  </module>
  <module name="sap/ui/table/messagebundle_pt.properties" size="6350">
  </module>
  <module name="sap/ui/table/messagebundle_ro.properties" size="6469">
  </module>
  <module name="sap/ui/table/messagebundle_ru.properties" size="12173">
  </module>
  <module name="sap/ui/table/messagebundle_sh.properties" size="6189">
  </module>
  <module name="sap/ui/table/messagebundle_sk.properties" size="6731">
  </module>
  <module name="sap/ui/table/messagebundle_sl.properties" size="6349">
  </module>
  <module name="sap/ui/table/messagebundle_sv.properties" size="6242">
  </module>
  <module name="sap/ui/table/messagebundle_th.properties" size="11309">
  </module>
  <module name="sap/ui/table/messagebundle_tr.properties" size="7139">
  </module>
  <module name="sap/ui/table/messagebundle_uk.properties" size="12678">
  </module>
  <module name="sap/ui/table/messagebundle_vi.properties" size="7869">
  </module>
  <module name="sap/ui/table/messagebundle_zh_CN.properties" size="6888">
  </module>
  <module name="sap/ui/table/messagebundle_zh_TW.properties" size="6931">
  </module>
</library>
